Beta

Update Room Participant

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
PATCH
/v1/rooms/{room_id}/participants/{participant_id}

Changes a Room person's or invitation's access level: view, edit or full access. Only Full access can give Full access. Requires explicit user intent.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_id*string

Stable Room ID.

Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$
participant_id*string
Formatuuid

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body
access_level*string
Value in"view""edit""full_access"

Response Body

Successful authorized response.

application/json
  1. response
participant*
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
request_id*string
curl -X PATCH 'https://example.com/v1/rooms/string/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{  "access_level": "view"}'
{  "participant": {    "participant_id": "78084e63-1c1c-45af-adf1-2af96784867b",    "type": "user",    "user_id": "string",    "email": "user@example.com",    "name": "string",    "access_level": "view",    "status": "active",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z"  },  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true,  "request_id": "string"}